LumaLocaleSwitcher

Discussion in '3DS - Homebrew Development and Emulators' started by raynelogens, Aug 1, 2017.

  1. raynelogens
    OP

    raynelogens Advanced Member

    Newcomer
    89
    6
    Oct 18, 2009
    United States
    I have tried using this on my Japanese 3DS. I downloaded Yoshi's New Island (cia) from freeshop and got it installed and even though I downloaded the US version it loads in Japanese. So I downloaded LumaLocaleSwitcher 0.04-NIGHTLY to change it. I set the region to US and the language to EN but it remains in Japanese. How can I get it in English?
     
  2. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    7,872
    3,133
    Mar 16, 2012
    United States
    Make sure the locate is located in luma/titles/<title ID>locale.txt, as that's what the latest version of Luma uses.
     
  3. raynelogens
    OP

    raynelogens Advanced Member

    Newcomer
    89
    6
    Oct 18, 2009
    United States
    You are a very helpful person especially to a noob like me! lol I will try and se if I can set it to that then.

    — Posts automatically merged - Please don't double post! —

    Is there a guide or something to set it? I cannot figure this out and Google isn't helping.
     
  4. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    7,872
    3,133
    Mar 16, 2012
    United States
    Sorry, it should be: SD:/luma/titles/<title ID>/locale.txt. Use a text editor and edit it to have USA EN be the very first line of the file. You also need to enable "Enable game patching" in your Luma3DS settings by pressing and holding Select when you power on your system.

    You should refer to Luma3DS's Github wiki for reference, look under the Enable game patcher section.
     
  5. Giodude

    Giodude Ruler of Italy

    Member
    GBAtemp Patron
    Giodude is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    3,784
    1,097
    May 17, 2015
    United States
    New York
    You have enable game patching enabled right?
     
  6. raynelogens
    OP

    raynelogens Advanced Member

    Newcomer
    89
    6
    Oct 18, 2009
    United States

    Thanks, I only needed to enable the patching. Everything else was already there.